Friday, December 12, 2008

OC4J 10.1.3.* does not support JSF 1.2

I spent a very frustrating day wading through the version soup that is JavaServer Faces and trying to deploy a JSF 1.2 app on on OC4J 10.1.3 container.  To save you a lot of time, OC4J DOES NOT SUPPORT JSF 1.2.

This technical paper explains that OC4J 10.1.3 (all versions) supports Servlet 2.4, JSP 2.0 and JSF 1.1.

And this handy webpage explains that "JSF 1.2 is the latest release and it works with servlet 2.5 and jsp 2.1". So obviously it's not compatible.  It also details all the versions of Java technologies that each JSF version relies upon.

So don't waste your time like I did.

2 comments:

CrazyBird said...

indeed, JSF 1.2 works within oc4j 10.1.3, but there is a lot of stuff to do to make it work.

Anonymous said...

So what steps that will take to make it work